<?php


defined( 'INTERVIO_NAME' ) or define( 'INTERVIO_NAME', 'intervio' );

define( 'INTERVIO_ROOT', get_template_directory() . '/' );

require_once get_template_directory() . '/includes/functions/functions.php';
include_once get_template_directory() . '/includes/classes/base.php';
include_once get_template_directory() . '/includes/classes/dotnotation.php';
include_once get_template_directory() . '/includes/classes/header-enqueue.php';
include_once get_template_directory() . '/includes/classes/options.php';
include_once get_template_directory() . '/includes/classes/ajax.php';
include_once get_template_directory() . '/includes/classes/common.php';
include_once get_template_directory() . '/includes/classes/bootstrap_walker.php';
include_once get_template_directory() . '/includes/library/class-tgm-plugin-activation.php';
require_once get_template_directory() . '/includes/library/hook.php';

// Merlin demo import.
require_once get_template_directory() . '/demo-import/class-merlin.php';
require_once get_template_directory() . '/demo-import/merlin-config.php';
require_once get_template_directory() . '/demo-import/merlin-filters.php';

add_action( 'after_setup_theme', 'intervio_wp_load', 5 );

function intervio_wp_load() {

	defined( 'INTERVIO_URL' ) or define( 'INTERVIO_URL', get_template_directory_uri() . '/' );
	define(  'INTERVIO_KEY','!@#intervio');
	define(  'INTERVIO_URI', get_template_directory_uri() . '/');

	if ( ! defined( 'INTERVIO_NONCE' ) ) {
		define( 'INTERVIO_NONCE', 'intervio_wp_theme' );
	}

	( new \INTERVIO\Includes\Classes\Base )->loadDefaults();
	( new \INTERVIO\Includes\Classes\Ajax )->actions();

}
add_action( 'init', 'intervio_bunch_theme_init');
function intervio_bunch_theme_init()
{
	$bunch_exlude_hooks = include_once get_template_directory(). '/includes/resource/remove_action.php';
	foreach( $bunch_exlude_hooks as $k => $v )
	{
		foreach( $v as $value )
		remove_action( $k, $value[0], $value[1] );
	}

}