<?php
return array(
	'title'      => esc_html__( 'Logo Setting', 'intervio' ),
	'id'         => 'logo_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'       => 'image_favicon',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Favicon', 'intervio' ),
			'subtitle' => esc_html__( 'Insert site favicon image', 'intervio' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/favicon.ico' ),
			//'required' => array( array( 'logo_type', 'equals', 'image' ) ),
		),
		array(
            'id' => 'normal_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Home One Logo', 'intervio'),
            'default' => true,
        ),
		array(
			'id'       => 'image_normal_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Home one Logo', 'intervio' ),
			'subtitle' => esc_html__( 'Insert site Home One logo image', 'intervio' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/logo-two.png' ),
			'required' => array( 'normal_logo_show', '=', true ),
		),
		array(
			'id'       => 'normal_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Home one Logo Dimentions', 'intervio' ),
			'subtitle' => esc_html__( 'Select Home one Logo Dimentions', 'intervio' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'normal_logo_show', '=', true ),
		),
		array(
            'id' => 'normal_logo_show2',
            'type' => 'switch',
            'title' => esc_html__('Enable Home one Sticky Logo', 'intervio'),
            'default' => true,
        ),
		array(
			'id'       => 'image_normal_logo2',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Home One Sticky Logo', 'intervio' ),
			'subtitle' => esc_html__( 'Insert site Home One Sticky logo image', 'intervio' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/logo-two.png' ),
			'required' => array( 'normal_logo_show', '=', true ),
		),
		array(
			'id'       => 'normal_logo_dimension2',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Home One Sticky Logo Dimentions', 'intervio' ),
			'subtitle' => esc_html__( 'Select Sticky Logo Dimentions', 'intervio' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'normal_logo_show', '=', true ),
		),
		array(
            'id' => 'normal_logo_show3',
            'type' => 'switch',
            'title' => esc_html__('Enable 2nd Logo', 'intervio'),
            'default' => true,
        ),
		array(
			'id'       => 'image_normal_logo3',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( '2nd Logo', 'intervio' ),
			'subtitle' => esc_html__( 'Insert site Mobile logo image', 'intervio' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/logo.png' ),
			'required' => array( 'normal_logo_show', '=', true ),
		),
		array(
			'id'       => 'normal_logo_dimension3',
			'type'     => 'dimensions',
			'title'    => esc_html__( '2nd Logo Dimentions', 'intervio' ),
			'subtitle' => esc_html__( 'Select 2nd LogoDimentions', 'intervio' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'normal_logo_show', '=', true ),
		),
		
		array(
			'id'       => 'image_normal_logox',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Side Menu Logo', 'intervio' ),
			'subtitle' => esc_html__( 'Insert site Side Menu Logo', 'intervio' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/logo-two.png' ),		
		),

		array(
			'id'       => 'logo_settings_section_end',
			'type'     => 'section',
			'indent'      => false,
		),
	),
);
