<?php
$options = intervio_WSH()->option();
$search_background   = $options->get( 'search_background' );
$search_background   = intervio_set( $search_background, 'url', INTERVIO_URI . 'assets/images/footerbg.png' );
$allowed_html = wp_kses_allowed_html( 'post' );

$image_logo = $options->get( 'image_normal_logo' );
$logo_dimension = $options->get( 'normal_logo_dimension' );
$logo_type = '';
$logo_text = '';
$logo_typography = '';

?>

<div class="error-page search_page" style="background-image: url('<?php echo esc_url($search_background);?>');">	 
        <div class="auto-container">
            <div class="content-box">
               <div class="logo">
				
				<?php echo intervio_logo( $logo_type, $image_logo, $logo_dimension, $logo_text, $logo_typography ); ?>
				
				</div>
				
				
<h2> <?php echo wp_kses( $options->get( 'search_title' ), $allowed_html ) ? wp_kses( $options->get( 'search_title' ), $allowed_html ) : esc_html_e( 'Search Not Found.', 'intervio' ); ?></h2>
           <div class="search_text text">    
			<?php if(wp_kses( $options->get('search_text'), $allowed_html )) : ?>	
				<p><?php echo wp_kses( $options->get( 'search_text' ), $allowed_html ); ?></p>
			</div>	
			<?php else : ?>
				
				<div class="search_text text">	
				<p><?php esc_html_e( '1. Check the Spelling ', 'intervio' ); ?>
				</p>
				<p><?php esc_html_e( '2. Check the Caps Lock', 'intervio' ); ?>
				</p>      
				<p><?php esc_html_e( '3. Press Enter correctly or Press F5', 'intervio' ); ?>
				</p> 
				</div>
				
			<?php endif; ?>	
				
                <div class="link-btn"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="theme-btn btn-style-two"><span><?php esc_html_e( 'Go To Home Page', 'intervio' ); ?></span></a></div>

            </div>
        </div>
    </div>  </div>