<?php


/** Set ABSPATH for execution */
define( 'ABSPATH', dirname(dirname(__FILE__)) . '/' );
define( 'WPINC', 'wp-includes' );


/**
 * @ignore
 */
function add_filter() {}

/**
 * @ignore
 */
function esc_attr($str) {return $str;}

/**
 * @ignore
 */
function apply_filters() {}

/**
 * @ignore
 */
function get_option() {}

/**
 * @ignore
 */
function is_lighttpd_before_150() {}

/**
 * @ignore
 */
function add_action() {}

/**
 * @ignore
 */
function did_action() {}

/**
 * @ignore
 */
function do_action_ref_array() {}

/**
 * @ignore
 */
function get_bloginfo() {}

/**
 * @ignore
 */
function is_admin() {return true;}

/**
 * @ignore
 */
function site_url() {}

/**
 * @ignore
 */
function admin_url() {}

/**
 * @ignore
 */
function home_url() {}

/**
 * @ignore
 */
function includes_url() {}

/**
 * @ignore
 */
function wp_guess_url() {}

if ( ! function_exists( 'json_encode' ) ) :
/**
 * @ignore
 */
function json_encode() {}
endif;



/* Convert hexdec color string to rgb(a) string */
 
function hex2rgba($color, $opacity = false) {
 
	$default = 'rgb(0,0,0)';
 
	//Return default if no color provided
	if(empty($color))
          return $default; 
 
	//Sanitize $color if "#" is provided 
        if ($color[0] == '#' ) {
        	$color = substr( $color, 1 );
        }
 
        //Check if color has 6 or 3 characters and get values
        if (strlen($color) == 6) {
                $hex = array( $color[0] . $color[1], $color[2] . $color[3], $color[4] . $color[5] );
        } elseif ( strlen( $color ) == 3 ) {
                $hex = array( $color[0] . $color[0], $color[1] . $color[1], $color[2] . $color[2] );
        } else {
                return $default;
        }
 
        //Convert hexadec to rgb
        $rgb =  array_map('hexdec', $hex);
 
        //Check if opacity is set(rgba or rgb)
        if($opacity){
        	if(abs($opacity) > 1)
        		$opacity = 1.0;
        	$output = 'rgba('.implode(",",$rgb).','.$opacity.')';
        } else {
        	$output = 'rgb('.implode(",",$rgb).')';
        }
 
        //Return rgb(a) color string
        return $output;
}

$color = $_GET['main_color'];

ob_start(); ?>
/*========== Color ====================*/


.main-menu .navigation>li>ul>li>ul>li>a:hover,
.widget_client_review .quote,
.blog-single-post .post-tags a:hover,
.widget_popular_post .content h5 a:hover,
.widget_tag_cloud li a:hover,
.categories-list li a:before,
.categories-list li a:hover,
.filter-tabs li.active,
.contact-section .contact-info-three .content .icon,
.contact-section .contact-info-two .content li i,
.room-dimention ul li i,
.working-process-section.style-two .process-block .icon,
.funfacts-section-three .icon,
.main-header .header-upper .icon-box .icon,
.contact-section-two .contact-info li i,
.project-block-three .content .link i,
.contact-section .bottom-content .contact-info li i,
.pricing-block.active-block .icon,
.pricing-block .price,
.main-menu .navigation>li>ul>li>a:hover,
.news-block-one .category a,
.testimonial-block .quote,
.process-block .count span,
a:hover,
.navigation .active>a, 
.navigation .current-menu-parent.current>a,
.banner-section.style-six .btn-style-one,
.news-block-three .category a
{
	color:#<?php echo esc_attr( $color ); ?>!important;
}

/*==============================================
   Theme Background Css
===============================================*/
/* Background */
.banner-section .banner-slider-button-prev:hover,
.banner-section .banner-slider-button-next:hover,
.search-popup .search-form fieldset input[type="submit"],
.widget_categories_two .widget-content,
.sidebar-page-container .inner-title:before,
.blog-single-post .list li:before,
.blog-single-post .content .wrapper-box:before,
.widget_newsletter,
.widget-title:before,
.news-block-five .date,
.news-block-four .date,
.news-block-four .text:before,
.main-menu .navigation>li.current>a:before,
.timeline-block li:after,
.timeline-block h4:before,
.contact-section .contact-info-two .content h2:before,
.page-title .content-box h1:before,
.project-block-two .content h4:before,
.mobile-menu .menu-backdrop,
.about-section-six:before,
.banner-section .content-box-three .inner,
.project-block-five h3:before,
.contact-section-three h3:before,
.funfacts-section-three .count-text:before,
.about-us-section-five .content h4:before,
.main-header.header-style-five .header-top,
.news-block-three .date,
.news-block-three h3:before,
.funfacts-four .count-text:before,
.project-block-four .content h4:before,
.process-block-two .count,
.cta-section .outer-box .shape-one:after,
.cta-section .outer-box .shape-one:before,
.cta-section .outer-box:before,
.about-us-section-four .content h4:before,
.newsletter-section-two .btn-style-one:before,
.project-block-three .content h4:before,
.funfacts-section-two .count-text:before,
.service-block-three h4:before,
.contact-section .bottom-content .contact-info li:last-child:before,
.contact-section .bottom-content .contact-info li:first-child:before,
.sec-title .sec-title-dec-two,
.progress-levels .progress-box .bar .bar-fill,
.gallery-block .overlay,
.service-block-two h4:before,
.feature-block-three .inner-box:hover .text:before,
.feature-block-two h4:before,
.banner-section .content-box-two h1:before,
.main-footer .widget-title:before,
.news-block-two .date,
.news-block-one .text:before,
.news-block-one .date,
.feature-block h3:before,
.service-block-one h4:before,
.sec-title .sec-title-dec,
.project-block-one h3:before,
.funfacts-section .count-text:before,
.hidden-sidebar .newsletter-widget .theme-btn,
.banner-section .content-box h1:before,
.btn-style-two:before,
.btn-style-one,
.preloader-close,
.feature-block-two .inner-box:before,
.theme-bg,
.widget_search button,
.comments-form-area .submit.theme-btn.style-three,
.projects-section-three .theme-btn.btn-style-one
{
	background: #<?php echo esc_attr( $color ); ?>!important;
	background-color:#<?php echo esc_attr( $color ); ?>!important;
}


/*==============================================
   Theme Border Color Css
===============================================*/

/* Border Color */
.blog-single-post blockquote,
.pagination li a,
.page-title .content-box .bread-crumb li.home a,
.about-us-section-five blockquote,
.about-us-section-three .years,
.feature-block-three .border-one,
.feature-block-three .border-two,
.about-widget .social-links ul li a:hover,
.team-block-one .border-one,
.team-block-one .border-two,
.btn-style-two,
.border-color
{
    border-color: #<?php echo esc_attr( $color ); ?>!important;  
}

/*==============================================
   RGB
===============================================*/

.video-galler-outer-bg:before {
    background-color: <?php echo esc_attr( hex2rgba($color, 0.9));?>!important;
}
.main-slider .content h3:before{
    background: <?php echo esc_attr( hex2rgba($color, 0.4));?>!important;
}




<?php 

$out = ob_get_clean();
$expires_offset = 31536000; // 1 year
header('Content-Type: text/css; charset=UTF-8');
header('Expires: ' . gmdate( "D, d M Y H:i:s", time() + $expires_offset ) . ' GMT');
header("Cache-Control: public, max-age=$expires_offset");
header('Vary: Accept-Encoding'); // Handle proxies
header('Content-Encoding: gzip');

echo gzencode($out);
exit;