<?php
/**
 * Single Post Content Template
 *
 * @package    WordPress
 * @subpackage INTERVIO
 * @author     Theme Author
 * @version    1.0
 */
?>
<?php global $wp_query;

$page_id = ( $wp_query->is_posts_page ) ? $wp_query->queried_object->ID : get_the_ID();

$gallery = get_post_meta( $page_id, 'intervio_gallery_images', true );

$video = get_post_meta( $page_id, 'intervio_video_url', true );


$audio_type = get_post_meta( $page_id, 'intervio_audio_type', true );

?>

<div class="blog-single-post">
<div class="inner-box">


<?php if ( has_post_thumbnail() ) : ?>	
<div class="image wow fadeInUp animated">
<?php the_post_thumbnail(); ?>
<?php if($options->get('single_post_category' ) ): ?>	
<div class="date category_post"><?php the_category(', '); ?></div>
</div>
<?php endif; ?>
<?php endif; ?>	

 <div class="content wow fadeInUp animated" data-wow-duration="1500ms">
  
	<div class="wrapper-box">
		<ul class="post-meta">
			<?php if($options->get('single_post_author' ) ): ?>		
				<li><i class="far fa-user"></i><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><?php the_author(); ?></a></li>
			<?php endif; ?>		
			<?php if($options->get('single_post_comments' ) ): ?>	
				<li><i class="far fa-comments"></i><?php comments_number(); ?></li>
			<?php endif; ?>		
			<?php if($options->get('single_post_date' ) ): ?>	
				<li><i class="far fa-calendar-alt"></i><a href="<?php echo get_day_link( get_the_time( 'Y' ), get_the_time( 'm' ), get_the_time( 'd' ) ); ?>"><?php echo get_the_date(); ?></a></li>
			<?php endif; ?>		
			</ul>
		
	</div>  
    <div class="text">
		<?php the_content(); ?>
		<div class="clearfix"></div>
		<?php wp_link_pages(array('before'=>'<div class="paginate_links">'.esc_html__('Pages: ', 'intervio'), 'after' => '</div>', 'link_before'=>'', 'link_after'=>'')); ?>
	</div> 


<?php intervio_template_load( 'templates/blog-single/social_share.php', compact( 'options', 'data' ) ); ?>	
</div>	

</div> 


<?php comments_template(); ?> 	
</div>	

