<?php
$options = intervio_WSH()->option();
$allowed_html = wp_kses_allowed_html();
/**
 * Blog Content Template
 *
 * @package    WordPress
 * @subpackage INTERVIO
 * @author     Theme Author
 * @version    1.0
 */

if ( class_exists( 'Intervio_Resizer' ) ) {
	$img_obj = new Intervio_Resizer();
} else {
	$img_obj = array();
}
$allowed_tags = wp_kses_allowed_html('post');
?>

<?php
	global $post;
    $post_thumbnail_id = get_post_thumbnail_id($post->ID);
    $post_thumbnail_url = wp_get_attachment_url($post_thumbnail_id);
?>

<div <?php post_class() ?>>
<div class="news-block-four">
	<div class="inner-box">
	 <?php if ( has_post_thumbnail() ) : ?>	
		<div class="image wow fadeInUp" data-wow-duration="1500ms">
			<?php the_post_thumbnail(); ?>		
		</div>
	<?php endif ; ?>	
		 <div class="content wow fadeInUp" data-wow-duration="1500ms">
			<h3><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
	
			<ul class="post-meta">
				
				<?php if($options->get('blog_post_author' ) ): ?>
				<li><i class="far fa-user"></i><a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><?php the_author(); ?></a></li>
				<?php endif; ?>	
				
				<?php if($options->get('blog_post_comments' ) ): ?>	
				<li><i class="far fa-comments"></i><?php comments_number(); ?></li>
				<?php endif; ?>
				
				<?php if($options->get('blog_post_date' ) ): ?>	
				<li><i class="far fa-calendar-alt"></i><a href="<?php echo get_day_link( get_the_time( 'Y' ), get_the_time( 'm' ), get_the_time( 'd' ) ); ?>"><?php echo get_the_date(); ?></a></li>
				<?php endif; ?>
				
			</ul>		
			<div class="text"><?php the_excerpt(); ?></div>	
			<?php if($options->get('blog_post_readmore' ) ): ?>			                                
				<div class="blog_btton">
				<a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>" class="theme-btn btn-style-one">
					<span>
					
					<?php if($options->get('blog_post_readmoretext' ) ): ?>
					<?php echo wp_kses( $options->get( 'blog_post_readmoretext'), $allowed_html ); ?>
					<?php else: ?>
					<?php esc_html_e('Read More', 'intervio');?>
					<?php endif; ?>
					
					</span>
				</a>
				</div>
			<?php endif; ?>	
			
		</div>
	</div>
</div>
</div><!-- /.blog-one__single -->