<?php
/**
 * Footer Template  File
 *
 * @package INTERVIO
 * @author  Theme Author
 * @version 1.0
 */ 

$options = intervio_WSH()->option();
$footer_background    = $options->get( 'footer_background' );
$footer_background    = intervio_set( $footer_background, 'url', INTERVIO_URI . 'assets/images/footerbg.jpg' );
$allowed_html = wp_kses_allowed_html( 'post' );

?>

 <footer class="main-footer" style="background-image: url('<?php echo esc_url($footer_background);?>');">
	 
        
		<?php if ( is_active_sidebar( 'footer-sidebar' ) ) { ?>
		<div class="auto-container">
            <!--Widgets Section-->
            <div class="widgets-section">
                <div class="row clearfix">
                     <?php dynamic_sidebar( 'footer-sidebar' ); ?>
                </div>
                
            </div>
        </div>
		<?php } ?> 
        
        <!-- Footer Bottom -->
	
      <div class="auto-container">
            <div class="footer-bottom">
                <div class="copyright"><?php echo wp_kses( $options->get( 'copyright_text'), $allowed_html ); ?></div>
            </div>
        </div>
	
    </footer>