<?php
$options = intervio_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

$image_logo = $options->get( 'image_normal_logo' );
$logo_dimension = $options->get( 'normal_logo_dimension' );

$image_logo1 = $options->get( 'image_normal_logo2' );
$logo_dimension = $options->get( 'normal_logo_dimension2' );


$logo_type = '';
$logo_text = '';
$logo_typography = '';
?>

  <!-- Main Header -->
    <header class="main-header header-style-five">
        <?php if( $options->get( 'top_header_show_v1' ) ):?> 
		
		<!-- Header Top -->
        <div class="header-top">
            <div class="auto-container">
                <div class="row m-0 align-items-center justify-content-between">
                   <?php if( $options->get( 'welcome_v1' ) ):?>  
					<div class="left-column">
                        <div class="text"><?php echo wp_kses( $options->get( 'welcome_v1'), $allowed_html ); ?></div>
                    </div>
					<?php endif; ?>	
                    <div class="right-column">
                     <?php if( $options->get( 'quote_show_v1' ) ):?>  
					   <div class="quote-text"><a href="<?php echo esc_url($options->get('quote_link_v1' ));?>"><i class="fas fa-globe"></i><?php echo wp_kses( $options->get( 'quote_v1'), $allowed_html ); ?></a></div>
					   <?php endif; ?> 
                        <!--Social Links-->
						
                        
					<div class="social-links">
						
					<?php if( $options->get( 'header_social_show_v1' ) ):?>                        
					<?php
					$icons = $options->get( 'header_social_v1' );
					if ( ! empty( $icons ) ) :
						?>
								
					<ul class="social-links-style1">
					<?php
						foreach ( $icons as $h_icon ) :
						$header_social_icons = json_decode( urldecode( intervio_set( $h_icon, 'data' ) ) );
						if ( intervio_set( $header_social_icons, 'enable' ) == '' ) {
							continue;
						}
						$icon_class = explode( '-', intervio_set( $header_social_icons, 'icon' ) );
						?>
						<li><a href="<?php echo esc_url(intervio_set( $header_social_icons, 'url' )); ?>" style="background-color:<?php echo esc_attr(intervio_set( $header_social_icons, 'background' )); ?>; color: <?php echo esc_attr(intervio_set( $header_social_icons, 'color' )); ?>"><span class="fa <?php echo esc_attr( intervio_set( $header_social_icons, 'icon' ) ); ?>"></span></a></li>
					<?php endforeach; ?>
					</ul>						

					<?php endif; ?>
					<?php endif; ?>						

                    </div> 
					
						
                    </div>
                </div>
            </div>
        </div>
		
		<?php endif; ?>
        <!-- Header Upper -->
        <section class="header-upper">
            <div class="auto-container">
                <div class="row align-items-center">
                    <div class="col-lg-3">
                        <!--Logo-->
                        <div class="logo-box">
                            <div class="logo"><?php echo intervio_logo( $logo_type, $image_logo, $logo_dimension, $logo_text, $logo_typography ); ?></div>
                        </div>
                    </div>
                    <div class="col-lg-9">
                        <div class="wrapper-box">
                            <div class="outer-box">
                             <?php if( $options->get( 'phone_v1' ) || $options->get( 'phone_title_v1' )):?>    
								<div class="icon-box">
                                    <div class="icon"><spna class="flaticon-telephone"></spna></div>
                                    <div class="content">
                                        <h5><?php echo wp_kses( $options->get( 'phone_title_v1'), $allowed_html ); ?></h5>
                                        <div class="text"><span><?php echo wp_kses( $options->get( 'phone_v1'), $allowed_html ); ?></span></div>
                                    </div>                                        
                                </div>
								<?php endif; ?> 
                             <?php if( $options->get( 'address_title_v1' ) ):?>   
								<div class="icon-box">
                                    <div class="icon"><spna class="flaticon-map"></spna></div>
                                    <div class="content">
                                        <h5><?php echo wp_kses( $options->get( 'address_title_v1'), $allowed_html ); ?></h5>
                                        <div class="text"><?php echo wp_kses( $options->get( 'address_v1'), $allowed_html ); ?></div>
                                    </div>                                        
                                </div>
								<?php endif; ?> 
							<?php if( $options->get( 'email_v1' ) ):?>	
                                <div class="icon-box">
                                    <div class="icon"><spna class="flaticon-multimedia"></spna></div>
                                    <div class="content">
                                        <h5><?php echo wp_kses( $options->get( 'email_title_v1'), $allowed_html ); ?></h5>
                                        <div class="text"><span><?php echo wp_kses( $options->get( 'email_v1'), $allowed_html ); ?></span></div>
                                    </div>
                                </div>
							<?php endif; ?>	
                            </div>
							
						<?php if( $options->get( 'header_search_show_v1' ) ):?> 	
                            <button type="button" class="theme-btn search-toggler"><span class="flaticon-search"></span></button>
						<?php endif; ?>		
							
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- Header Lower -->
        <div class="header-lower">
            <div class="auto-container">
                <div class="inner-container">
                    
                    <!--Nav Box-->
                    <div class="nav-outer clearfix">
                        <!--Mobile Navigation Toggler-->
                        <div class="mobile-nav-toggler"><img src="<?php echo esc_url(get_template_directory_uri().'/assets/images/icon-bar.png');?>" alt="<?php esc_attr_e('image', 'intervio'); ?>"></div>

                        <!-- Main Menu -->
                        <nav class="main-menu navbar-expand-md navbar-light">
                            <div class="collapse navbar-collapse show clearfix" id="navbarSupportedContent">
                                 <ul class="navigation clearfix">
                                    <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
					'container_class'=>'main-nav__main-navigation',
					'menu_class'=>'nav navbar-nav',
					'fallback_cb'=>false, 
					'items_wrap' => '%3$s', 
					'container'=>false,
					'depth'=>'3',
					'walker'=> new Bootstrap_walker()  
					) ); ?>
                                </ul>
                            </div>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
        <!--End Header Upper-->

        <!-- Sticky Header  -->
        <div class="sticky-header">
            <div class="auto-container clearfix">
                <!--Logo-->
                <div class="logo float-left">
                  <?php echo intervio_logo( $logo_type, $image_logo1, $logo_dimension, $logo_text, $logo_typography ); ?>
                </div>
                <!--Right Col-->
                <div class="float-right">
                    <!-- Main Menu -->
                    <nav class="main-menu clearfix">
                        <!--Keep This Empty / Menu will come through Javascript-->
                    </nav><!-- Main Menu End-->
                </div>
            </div>
        </div><!-- End Sticky Menu -->

        <!-- Mobile Menu  -->
        <div class="mobile-menu">
            <div class="menu-backdrop"></div>
            <div class="close-btn"><span class="icon flaticon-remove"></span></div>
            
            <nav class="menu-box">
                <div class="nav-logo"><?php echo intervio_logo( $logo_type, $image_logo1, $logo_dimension, $logo_text, $logo_typography ); ?></div>
                <div class="menu-outer"><!--Here Menu Will Come Automatically Via Javascript / Same Menu as in Header--></div>
				<!--Social Links-->
				
				
				<div class="social-links">
						
					<?php if( $options->get( 'header_social_show_v1' ) ):?>                        
					<?php
					$icons = $options->get( 'header_social_v1' );
					if ( ! empty( $icons ) ) :
						?>
								
					<ul class="social-links-style1">
					<?php
						foreach ( $icons as $h_icon ) :
						$header_social_icons = json_decode( urldecode( intervio_set( $h_icon, 'data' ) ) );
						if ( intervio_set( $header_social_icons, 'enable' ) == '' ) {
							continue;
						}
						$icon_class = explode( '-', intervio_set( $header_social_icons, 'icon' ) );
						?>
						<li><a href="<?php echo esc_url(intervio_set( $header_social_icons, 'url' )); ?>" style="background-color:<?php echo esc_attr(intervio_set( $header_social_icons, 'background' )); ?>; color: <?php echo esc_attr(intervio_set( $header_social_icons, 'color' )); ?>"><span class="fa <?php echo esc_attr( intervio_set( $header_social_icons, 'icon' ) ); ?>"></span></a></li>
					<?php endforeach; ?>
					</ul>						

					<?php endif; ?>
					<?php endif; ?>						

                    </div> 
				
				
            </nav>
        </div><!-- End Mobile Menu -->

        <div class="nav-overlay">
            <div class="cursor"></div>
            <div class="cursor-follower"></div>
        </div>
    </header>

    <!--Search Popup-->
    <div id="search-popup" class="search-popup">
        <div class="close-search theme-btn"><span class="flaticon-remove"></span></div>
        <div class="popup-inner">
            <div class="overlay-layer"></div>
            <div class="search-form">
               <form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                    <div class="form-group">
                        <fieldset>
                     
							 <input type="search" class="form-control" name="s" value="<?php echo get_search_query(); ?>" placeholder="<?php echo esc_attr__( 'Keyword...', 'intervio' ); ?>" required="">
                            <input type="submit" value="Search Now!" class="theme-btn">
                        </fieldset>
                    </div>
                </form>
            </div>            
        </div>
    </div>    